Bug 91631 - Run linc-cleanup-sockets in a cron job?
Run linc-cleanup-sockets in a cron job?
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ORBit2 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: Triaged
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-05-26 09:42 EDT by Dams
Modified: 2007-04-18 12:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:20:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2003-05-26 09:42:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
[anvil@gruyere /tmp/orbit-anvil]# ls -l|wc -l
    824
[anvil@gruyere ~]# lsof|grep /tmp/orbit|wc -l
    131

Most (99%) of theese files are sockets. Some of them are 2 months old. and the
box only have a 4 days uptime.

[anvil@gruyere ~]# tmpwatch -a 720 /tmp/orbit-anvil
[anvil@gruyere ~]# ll /tmp/orbit-anvil|wc -l
    372


Version-Release number of selected component (if applicable):
ORBit2(0:2.6.0-2).i386

How reproducible:
Didn't try

Steps to Reproduce:
I dont know.
    

Additional info:

I ask some people on IRC : 
<Pix> [pix@portable pix]$ ls /tmp/orbit-pix/
<Pix> Display all 1684 possibilities? (y or n)

Either this is a bug in ORBit (dont tell me worksform, this is a really stupid
worksform), either a tmpwatch bad configuration.
Comment 1 Miloslav Trmac 2003-05-26 10:41:44 EDT
IIRC, tmpwatch doesn't remove sockets at all.
Comment 2 Dams 2003-05-26 10:45:04 EDT
tmpwatch can remove sockets : 
from man tmpwatch : 
       -a, --all
              Remove all file types, not just regular files and directories.
Comment 3 Havoc Pennington 2003-05-30 16:08:29 EDT
You can run linc-cleanup-sockets to clean these up.

Maybe we should put that in a cron job.
Comment 4 Havoc Pennington 2003-10-09 00:15:24 EDT
Or alternately we could make ORBit use abstract socket namespace.

Probably for the next release.
Comment 5 Mark McLoughlin 2004-03-19 14:51:17 EST
I don't think there's any nice way to do the system-wide cronjob,
especially with selinux. I think I'll just do a gnome-session hack to
run linc-cleanup-sockets on login and logout.
Comment 6 Bill Nottingham 2006-08-05 01:29:34 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 8 Bill Nottingham 2007-01-02 14:20:50 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.